#!/usr/bin/env python
# -*- coding: utf-8 -*-

from pylab import plotfile, show, gca, figure, xlabel, ylabel, title, legend, xlim, ylim
from matplotlib.backends.backend_pdf import PdfPages


def plotdata(data,ylabel_str,title_str,flood,leg_loc,is_y_lim) :
	print data+'.txt'
	plotfile(data+'_5.txt', (0,1), delimiter='\t',newfig=True,  label='Our proposal with Threshold')		
	#xlim(25,475)	
	#if (is_y_lim) : ylim(25,425)		
	xlabel('Penalty')
	ylabel(ylabel_str)
	#title(title_str)
	legend(loc=leg_loc)
	
	
	
def pdfdata(pdffile,datafile,ylabel_str,title_str,flood,leg_loc,is_y_lim):
	pp = PdfPages(pdffile)
	plotdata(datafile,ylabel_str,title_str,flood,leg_loc,is_y_lim)
	pp.savefig()
	pp.close()



	
pdfdata('penality_neighborhood.pdf','Geolocation.Neighborhood.last_','Number of discovered neighbors',' Neighbor discovery',False,0,False)
pdfdata('penality_inter_delay.pdf','Geolocation.Inter-hello_time.s','Average of time between information update (s)','Delay average between messages reception',False,0,False)





